@use "@/styles" as *;
@tailwind base;
@tailwind components;
@tailwind utilities;
@import "slick-carousel/slick/slick.css";
@import "slick-carousel/slick/slick-theme.css";

:root {
  /* fonts */
  --cta-14: "Inter Tight";
  --font-roboto: Roboto;
  --section-title-display-32: Niramit;
  --font-unbounded: Unbounded;

  /* font sizes */
  --cta-14-size: 14px;
  --cta-12-size: 12px;
  --heading-18-size: 18px;
  --section-title-display-32-size: 32px;
  --heading-16-size: 16px;
  --section-title-display-48-size: 48px;
  --body-sub-text-20-size: 20px;
  --section-title-display-24-size: 24px;
  --section-title-display-64-size: 64px;

  /* Colors */
  --neutral-300: #f7f7f7;
  --neutral-400: #ebebeb;
  --primary-500: #143080;
  --primary-600: #0c1d4d;
  --white: #fff;
  --neutral-200: #fcfcfc;
  --neutral-600: #929292;
  --neutral-800: #242222;
  --black: #1d1d1d;
  --neutral-500: #d4d4d3;
  --neutral-700: #4d4c4b;
  --secondary-400: #d9b693;
  --secondary-600: #4d311a;
  --secondary-300: #ebded0;
  --primary-100: #edf2f7;
  --color-black: #000;
  --accent-orange: #c57b50;
  --secondary-500: #b57e50;
  --accent-red: #8d262f;
  --accent-green: #9caa05;
  --primary-400: #306ecc;

  /* Gaps */
  --gap-base: 16px;
  --gap-5xl: 24px;
  --gap-7xs: 6px;
  --gap-5xs: 8px;
  --gap-61xl: 80px;
  --gap-xs: 12px;
  --gap-9xs: 4px;
  --gap-29xl: 48px;
  --gap-3xs: 10px;

  /* Paddings */
  --padding-base: 16px;
  --padding-52xl: 71px;
  --padding-xs: 12px;
  --padding-5xl: 24px;
  --padding-11xs: 2px;
  --padding-3xs: 10px;
  --padding-5xs: 8px;
  --padding-21xl: 40px;
  --padding-xl: 20px;
  --padding-36xl: 55px;
  --padding-61xl: 80px;
  --padding-9xs: 4px;

  /* border radiuses */
  --br-9xs: 4px;
  --br-5xs: 8px;
  --br-5xl: 24px;
  --br-xs: 12px;
  --br-7xs: 6px;
  --br-base: 16px;
  --br-6xs-2: 6.2px;

  /* Effects */
  --bg-blur: blur(46px);
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  font-family: -apple-system, "Inter Tight", "Niramit", sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}

.slick-track {
  display: flex;
  gap: 24px;
}
